package md

type NursingHomeOrderRefundListResp struct {
	Id               int    `json:"id" label:"退款id"`
	OutTradeNo       string `json:"out_trade_no" label:"订单号"`
	OutRequestNo     string `json:"out_request_no" label:"退款请求号"`
	Name             string `json:"name" label:"姓名"`
	Phone            string `json:"phone" label:"用户电话"`
	EnterpriseName   string `json:"enterprise_name" label:"单位名称"`
	Kind             int    `json:"kind" label:"订餐类型"`
	UserIdentityKind int    `json:"user_identity_kind" label:"用户类型"`
	Amount           string `json:"amount" label:"退款金额"`
	State            int    `json:"state" label:"退款订单状态"`
	CreateAt         string `json:"create_at" label:"申请时间"`
	RefundDate       string `json:"refund_date" label:"退款时间"`
	Memo             string `json:"memo" label:"备注"`
}

type NursingHomeOrderRefundListReq struct {
	EnterpriseId int    `json:"enterprise_id" label:"单位id"`
	Phone        string `json:"phone" label:"用户电话"`
	Name         string `json:"name" label:"名称"`
	Kind         int    `json:"kind" label:"订餐类型"`
	State        int    `json:"state" label:"退款订单状态"`
	StartDate    string `json:"start_date" label:"开始时间"`
	EndDate      string `json:"end_date" label:"截止时间"`
	OutTradeNo   string `json:"out_trade_no" label:"订单号"`
	OutRequestNo string `json:"out_request_no" label:"退款请求号"`
	Limit        int    `json:"limit"`
	Page         int    `json:"page"`
}

type NursingHomeOrderRefundAuditReq struct {
	Ids   []string `json:"ids" label:"退款记录id"`
	State int      `json:"state" label:"审核状态"`
	Memo  string   `json:"memo" label:"备注"`
}
